% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest0,low(maxt),1),secondary,col(low_v_maxd_maxt,4),maxf,18,2,t([col(low_v_maxd_maxt,2)],[maxd],[_14791],if(eq(_14791,0),1,_14791)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_maxt,3),maxt,18,1,t([col(low_v_t_maxt,1),col(low_v_t_maxt,2)],[v,t],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),secondary,col(low_v_f_maxd_maxt,5),maxf,13,2,t([col(low_v_f_maxd_maxt,3)],[maxd],[_14795],if(eq(_14795,0),1,_14795)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_f_maxt,4),maxt,13,1,t([col(low_v_t_f_maxt,1),col(low_v_t_f_maxt,2)],[v,t],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_minf_maxt,4),maxt,16,1,t([col(low_v_t_minf_maxt,1),col(low_v_t_minf_maxt,2)],[v,t],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest0,low(maxt),1),low,col(low_v_t_minp_maxt,4),maxt,16,1,t([col(low_v_t_minp_maxt,1),col(low_v_t_minp_maxt,2)],[v,t],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).

missing(low_v_maxt,low,maxt).
missing(low_v_f_maxt,low,maxt).
missing(low_v_maxd_maxt,low,maxt).
missing(low_v_maxf_maxt,low,maxt).
missing(low_v_maxp_maxt,low,maxt).
missing(low_v_mind_maxt,col,minf).
missing(low_v_mind_maxt,low,maxt).
missing(low_v_minf_maxt,low,maxt).
missing(low_v_minp_maxt,low,maxt).
missing(low_v_mint_maxt,low,maxt).
missing(low_v_f_maxd_maxt,low,maxt).
missing(low_v_f_maxf_maxt,low,maxt).
missing(low_v_f_maxp_maxt,low,maxt).
missing(low_v_f_mind_maxt,low,maxt).
missing(low_v_f_minf_maxt,low,maxt).
missing(low_v_f_minp_maxt,low,maxt).
missing(low_v_f_mint_maxt,low,maxt).
missing(low_v_maxd_maxp_maxt,low,maxt).
missing(low_v_maxd_minp_maxt,low,maxt).
missing(low_v_maxd_mint_maxt,low,maxt).
missing(low_v_maxf_maxd_maxt,low,maxt).
missing(low_v_maxf_maxp_maxt,low,maxt).
missing(low_v_maxf_mind_maxt,low,maxt).
missing(low_v_maxf_minp_maxt,low,maxt).
missing(low_v_maxf_mint_maxt,low,maxt).
missing(low_v_maxp_mint_maxt,low,maxt).
missing(low_v_mind_maxd_maxt,col,maxf).
missing(low_v_mind_maxd_maxt,low,maxt).
missing(low_v_mind_maxp_maxt,low,maxt).
missing(low_v_mind_minp_maxt,low,maxt).
missing(low_v_mind_mint_maxt,low,maxt).
missing(low_v_minf_maxd_maxt,low,maxt).
missing(low_v_minf_maxf_maxt,low,maxt).
missing(low_v_minf_maxp_maxt,low,maxt).
missing(low_v_minf_mind_maxt,low,maxt).
missing(low_v_minf_minp_maxt,low,maxt).
missing(low_v_minf_mint_maxt,low,maxt).
missing(low_v_minp_maxp_maxt,low,maxt).
missing(low_v_minp_mint_maxt,low,maxt).
missing(low_v_t_maxd_maxt,low,maxt).
missing(low_v_t_maxf_maxt,low,maxt).
missing(low_v_t_maxp_maxt,low,maxt).
missing(low_v_t_mind_maxt,low,maxt).
missing(low_v_t_mint_maxt,low,maxt).
