% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(graph,low(maxc),1),secondary,col(low_c_maxc,3),v,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_c_maxc,4),minc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_c_maxc,5),s,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_c_maxc,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_c_maxc,11),ominc,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_c_maxc,12),omaxc,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_c_maxc,16),omins,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_c_maxc,17),omaxs,26,1,t([col(low_c_maxc,1)],[c],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),9),secondary,col(low_c_maxc,6),mins,26,1,t([col(low_c_maxc,4)],[minc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),10),secondary,col(low_c_maxc,7),maxs,26,1,t([col(low_c_maxc,4)],[minc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),11),secondary,col(low_c_maxc,9),midc,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),12),secondary,col(low_c_maxc,10),rminc,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),13),secondary,col(low_c_maxc,13),omidc,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),14),secondary,col(low_c_maxc,14),oc,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),15),secondary,col(low_c_maxc,15),oc23,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),16),secondary,col(low_c_maxc,18),os,26,1,t([col(low_c_maxc,8)],[minmaxc],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),17),low,col(low_c_maxc,2),maxc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),1),low,col(low_maxs_maxc,2),maxc,26,1,t([col(low_maxs_maxc,1)],[maxs],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_minc_maxc,3),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_minc_maxc,4),midc,26,1,t([col(low_minc_maxc,3)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_minc_maxc,5),rminc,26,1,t([col(low_minc_maxc,3)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_minc_maxc,6),omidc,26,1,t([col(low_minc_maxc,3)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),5),low,col(low_minc_maxc,2),maxc,26,1,t([col(low_minc_maxc,1)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_mins_maxc,3),minc,26,1,t([col(low_mins_maxc,1)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_mins_maxc,4),maxs,26,1,t([col(low_mins_maxc,1)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_mins_maxc,5),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_mins_maxc,6),midc,26,1,t([col(low_mins_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_mins_maxc,7),rminc,26,1,t([col(low_mins_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_mins_maxc,8),omidc,26,1,t([col(low_mins_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_mins_maxc,9),oc23,26,1,t([col(low_mins_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),low,col(low_mins_maxc,2),maxc,26,1,t([col(low_mins_maxc,1)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_s_maxc,3),v,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_s_maxc,4),c,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_s_maxc,5),minc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_s_maxc,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_s_maxc,11),ominc,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_s_maxc,12),omaxc,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_s_maxc,16),omins,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_s_maxc,17),omaxs,26,1,t([col(low_s_maxc,1)],[s],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),9),secondary,col(low_s_maxc,6),mins,26,1,t([col(low_s_maxc,5)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),10),secondary,col(low_s_maxc,7),maxs,26,1,t([col(low_s_maxc,5)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),11),secondary,col(low_s_maxc,9),midc,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),12),secondary,col(low_s_maxc,10),rminc,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),13),secondary,col(low_s_maxc,13),omidc,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),14),secondary,col(low_s_maxc,14),oc,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),15),secondary,col(low_s_maxc,15),oc23,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),16),secondary,col(low_s_maxc,18),os,26,1,t([col(low_s_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),17),low,col(low_s_maxc,2),maxc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_v_maxc,3),c,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_v_maxc,4),minc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_v_maxc,5),s,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_v_maxc,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_v_maxc,11),ominc,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_v_maxc,12),omaxc,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_v_maxc,16),omins,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_v_maxc,17),omaxs,26,1,t([col(low_v_maxc,1)],[v],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),9),secondary,col(low_v_maxc,6),mins,26,1,t([col(low_v_maxc,4)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),10),secondary,col(low_v_maxc,7),maxs,26,1,t([col(low_v_maxc,4)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),11),secondary,col(low_v_maxc,9),midc,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),12),secondary,col(low_v_maxc,10),rminc,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),13),secondary,col(low_v_maxc,13),omidc,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),14),secondary,col(low_v_maxc,14),oc,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),15),secondary,col(low_v_maxc,15),oc23,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),16),secondary,col(low_v_maxc,18),os,26,1,t([col(low_v_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),17),low,col(low_v_maxc,2),maxc,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),1),low,col(low_c_maxs_maxc,3),maxc,20,1,t([col(low_c_maxs_maxc,2)],[maxs],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_c_minc_maxc,4),v,26,1,t([col(low_c_minc_maxc,1),col(low_c_minc_maxc,2)],[c,minc],[_14805,_14809],polynom([monome([t(_14805,1),t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),2),secondary,col(low_c_minc_maxc,5),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_c_minc_maxc,8),ominc,26,1,t([col(low_c_minc_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_c_minc_maxc,9),omaxc,26,1,t([col(low_c_minc_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_c_minc_maxc,11),oc,26,2,t([col(low_c_minc_maxc,1),col(low_c_minc_maxc,2)],[c,minc],[_14805,_14809],if(eq(_14809,1),0,_14805)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),6),secondary,col(low_c_minc_maxc,6),midc,26,1,t([col(low_c_minc_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_c_minc_maxc,7),rminc,26,1,t([col(low_c_minc_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_c_minc_maxc,10),omidc,26,1,t([col(low_c_minc_maxc,5)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),9),low,col(low_c_minc_maxc,3),maxc,26,1,t([col(low_c_minc_maxc,2)],[minc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_c_mins_maxc,4),v,26,1,t([col(low_c_mins_maxc,1),col(low_c_mins_maxc,2)],[c,mins],[_14805,_14809],polynom([monome([t(_14805,1),t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),2),secondary,col(low_c_mins_maxc,5),minc,26,1,t([col(low_c_mins_maxc,2)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_c_mins_maxc,6),s,26,1,t([col(low_c_mins_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_c_mins_maxc,7),maxs,26,1,t([col(low_c_mins_maxc,2)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_c_mins_maxc,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_c_mins_maxc,11),ominc,26,1,t([col(low_c_mins_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_c_mins_maxc,12),omaxc,26,1,t([col(low_c_mins_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_c_mins_maxc,14),oc,26,2,t([col(low_c_mins_maxc,1),col(low_c_mins_maxc,2)],[c,mins],[_14805,_14809],if(eq(_14809,1),0,_14805)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),9),secondary,col(low_c_mins_maxc,16),omins,26,1,t([col(low_c_mins_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),10),secondary,col(low_c_mins_maxc,17),omaxs,26,1,t([col(low_c_mins_maxc,1)],[c],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),11),secondary,col(low_c_mins_maxc,9),midc,26,1,t([col(low_c_mins_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),12),secondary,col(low_c_mins_maxc,10),rminc,26,1,t([col(low_c_mins_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),13),secondary,col(low_c_mins_maxc,13),omidc,26,1,t([col(low_c_mins_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),14),secondary,col(low_c_mins_maxc,15),oc23,26,1,t([col(low_c_mins_maxc,8)],[minmaxc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),15),secondary,col(low_c_mins_maxc,18),os,26,1,t([col(low_c_mins_maxc,14)],[oc],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),16),low,col(low_c_mins_maxc,3),maxc,26,1,t([col(low_c_mins_maxc,2)],[mins],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_c_s_maxc,4),mins,26,0,t([],[],[],1),cst,[]).
conjecture(id(graph,low(maxc),2),low,col(low_c_s_maxc,3),maxc,26,2,t([col(low_c_s_maxc,1),col(low_c_s_maxc,2)],[c,s],[_14809,_14813],polynom([monome([t(ceil(_14813,_14809),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),secondary,col(low_minc_maxs_maxc,4),minmaxc,17,2,t([col(low_minc_maxs_maxc,1),col(low_minc_maxs_maxc,2)],[minc,maxs],[_14809,_14813],if(leq(_14813,_14809),0,_14809)),cond,[cond(attr_leq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),2),low,col(low_minc_maxs_maxc,3),maxc,17,2,t([col(low_minc_maxs_maxc,1),col(low_minc_maxs_maxc,2)],[minc,maxs],[_14809,_14813],if(leq(_14809,_14813),_14813,_14809)),cond,[cond(attr_leq_attr),then(attr),else(attr)]).
conjecture(id(graph,low(maxc),3),low,col(low_minc_maxs_maxc,3),maxc,17,1,t([col(low_minc_maxs_maxc,1),col(low_minc_maxs_maxc,2)],[minc,maxs],[_14809,_14813],polynom([monome([t(max(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),secondary,col(low_minc_mins_maxc,4),minmaxc,25,4,t([col(low_minc_mins_maxc,1),col(low_minc_mins_maxc,2)],[minc,mins],[_14809,_14813],if(bool(0,0,or,2,[eq(_14809,_14813),leq(prod(_14813,2),_14809)]),0,_14809)),cond_ex,[cond_ex([then(coef(-3,3)),else(attr),bool([neg(0),op([or]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,low(maxc),2),low,col(low_minc_mins_maxc,3),maxc,25,4,t([col(low_minc_mins_maxc,1),col(low_minc_mins_maxc,2)],[minc,mins],[_14809,_14813],if(eq(ceil(_14809,_14813),2),prod(_14813,2),_14809)),cond,[cond(binary_term_eq_coef([ceil],coef(0,3))),then(unary_term([prod(2,3)])),else(attr)]).
conjecture(id(graph,low(maxc),3),low,col(low_minc_mins_maxc,3),maxc,25,4,t([col(low_minc_mins_maxc,1),col(low_minc_mins_maxc,2),col(low_minc_mins_maxc,4)],[minc,mins,minmaxc],[_14823,_14827,_14831],polynom([monome([t(min(_14827,_14831),1)],2),monome([t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_mins_maxs_maxc,3),maxc,26,1,t([col(low_mins_maxs_maxc,2)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),low,col(low_s_maxs_maxc,3),maxc,20,1,t([col(low_s_maxs_maxc,2)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_s_mins_maxc,4),v,26,1,t([col(low_s_mins_maxc,1),col(low_s_mins_maxc,2)],[s,mins],[_14809,_14813],polynom([monome([t(_14809,1),t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),2),secondary,col(low_s_mins_maxc,5),c,26,1,t([col(low_s_mins_maxc,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),3),secondary,col(low_s_mins_maxc,6),minc,26,1,t([col(low_s_mins_maxc,2)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),4),secondary,col(low_s_mins_maxc,7),maxs,26,1,t([col(low_s_mins_maxc,2)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),5),secondary,col(low_s_mins_maxc,8),minmaxc,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),6),secondary,col(low_s_mins_maxc,11),ominc,26,1,t([col(low_s_mins_maxc,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),7),secondary,col(low_s_mins_maxc,12),omaxc,26,1,t([col(low_s_mins_maxc,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),8),secondary,col(low_s_mins_maxc,14),oc,26,2,t([col(low_s_mins_maxc,1),col(low_s_mins_maxc,2)],[s,mins],[_14809,_14813],if(eq(_14813,1),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),9),secondary,col(low_s_mins_maxc,16),omins,26,1,t([col(low_s_mins_maxc,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),10),secondary,col(low_s_mins_maxc,17),omaxs,26,1,t([col(low_s_mins_maxc,1)],[s],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),11),secondary,col(low_s_mins_maxc,9),midc,26,1,t([col(low_s_mins_maxc,8)],[minmaxc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),12),secondary,col(low_s_mins_maxc,10),rminc,26,1,t([col(low_s_mins_maxc,8)],[minmaxc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),13),secondary,col(low_s_mins_maxc,13),omidc,26,1,t([col(low_s_mins_maxc,8)],[minmaxc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),14),secondary,col(low_s_mins_maxc,15),oc23,26,1,t([col(low_s_mins_maxc,8)],[minmaxc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),15),secondary,col(low_s_mins_maxc,18),os,26,1,t([col(low_s_mins_maxc,14)],[oc],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),16),low,col(low_s_mins_maxc,3),maxc,26,1,t([col(low_s_mins_maxc,2)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),low,col(low_v_c_maxc,3),maxc,20,1,t([col(low_v_c_maxc,1),col(low_v_c_maxc,2)],[v,c],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_v_maxs_maxc,3),maxc,20,1,t([col(low_v_maxs_maxc,2)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_v_minc_maxc,4),minmaxc,26,2,t([col(low_v_minc_maxc,1),col(low_v_minc_maxc,2)],[v,minc],[_14809,_14813],if(eq(_14809 mod _14813,0),0,_14813)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),1),secondary,col(low_v_mins_maxc,4),minc,26,1,t([col(low_v_mins_maxc,2)],[mins],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),2),secondary,col(low_v_mins_maxc,6),minmaxc,26,2,t([col(low_v_mins_maxc,1),col(low_v_mins_maxc,2)],[v,mins],[_14809,_14813],if(eq(_14809 mod _14813,0),0,_14813)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),3),secondary,col(low_v_mins_maxc,7),oc23,26,0,t([],[],[],0),cst,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_v_s_maxc,4),maxs,20,1,t([col(low_v_s_maxc,1),col(low_v_s_maxc,2)],[v,s],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),2),low,col(low_v_s_maxc,3),maxc,20,1,t([col(low_v_s_maxc,4)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_c_minc_maxs_maxc,5),minmaxc,12,2,t([col(low_c_minc_maxs_maxc,2),col(low_c_minc_maxs_maxc,3)],[minc,maxs],[_14809,_14813],if(leq(_14813,_14809),0,_14809)),cond,[cond(attr_leq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),2),low,col(low_c_minc_maxs_maxc,4),maxc,12,2,t([col(low_c_minc_maxs_maxc,2),col(low_c_minc_maxs_maxc,3)],[minc,maxs],[_14809,_14813],if(leq(_14809,_14813),_14813,_14809)),cond,[cond(attr_leq_attr),then(attr),else(attr)]).
conjecture(id(graph,low(maxc),3),low,col(low_c_minc_maxs_maxc,4),maxc,12,1,t([col(low_c_minc_maxs_maxc,2),col(low_c_minc_maxs_maxc,3)],[minc,maxs],[_14809,_14813],polynom([monome([t(max(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),secondary,col(low_c_minc_mins_maxc,5),minmaxc,19,4,t([col(low_c_minc_mins_maxc,2),col(low_c_minc_mins_maxc,3)],[minc,mins],[_14809,_14813],if(bool(0,0,or,2,[eq(_14809,_14813),leq(prod(_14813,2),_14809)]),0,_14809)),cond_ex,[cond_ex([then(coef(-3,3)),else(attr),bool([neg(0),op([or]),nb_terms(2,2),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(0)])])]).
conjecture(id(graph,low(maxc),2),secondary,col(low_c_minc_mins_maxc,6),oc,19,2,t([col(low_c_minc_mins_maxc,1),col(low_c_minc_mins_maxc,2)],[c,minc],[_14809,_14813],if(eq(_14813,1),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),3),low,col(low_c_minc_mins_maxc,4),maxc,19,4,t([col(low_c_minc_mins_maxc,2),col(low_c_minc_mins_maxc,3)],[minc,mins],[_14809,_14813],if(eq(ceil(_14809,_14813),2),prod(_14813,2),_14809)),cond,[cond(binary_term_eq_coef([ceil],coef(0,3))),then(unary_term([prod(2,3)])),else(attr)]).
conjecture(id(graph,low(maxc),1),low,col(low_c_minc_s_maxc,4),maxc,12,12,t([col(low_c_minc_s_maxc,1),col(low_c_minc_s_maxc,2),col(low_c_minc_s_maxc,3),col(low_c_minc_s_maxc,5)],[c,minc,s,minmaxc],[_14837,_14841,_14845,_14849],ceil(polynom([monome([t(_14841,1),t(_14849,1)],-2),monome([t(_14841,2)],2),monome([t(_14845,1)],1),monome([t(_14841,1)],-1)]),polynom([monome([t(_14849,1)],-2),monome([t(_14841,1)],2),monome([t(_14837,1)],1),monome([],-1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_c_s_mins_maxc,4),maxc,16,2,t([col(low_c_s_mins_maxc,1),col(low_c_s_mins_maxc,2),col(low_c_s_mins_maxc,3)],[c,s,mins],[_14823,_14827,_14831],polynom([monome([t(_14831,1),t(ceil(_14827,_14823),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_s_mins_maxs_maxc,4),maxc,15,1,t([col(low_s_mins_maxs_maxc,3)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),secondary,col(low_v_c_minc_maxc,6),rminc,15,2,t([col(low_v_c_minc_maxc,1),col(low_v_c_minc_maxc,2),col(low_v_c_minc_maxc,3)],[v,c,minc],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),2),secondary,col(low_v_c_minc_maxc,5),minmaxc,15,2,t([col(low_v_c_minc_maxc,3),col(low_v_c_minc_maxc,6)],[minc,rminc],[_14809,_14813],if(eq(_14813,0),0,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(graph,low(maxc),3),low,col(low_v_c_minc_maxc,4),maxc,15,5,t([col(low_v_c_minc_maxc,1),col(low_v_c_minc_maxc,2),col(low_v_c_minc_maxc,5)],[v,c,minmaxc],[_14823,_14827,_14831],ceil(polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1)]),polynom([monome([t(min(_14831,1),1)],-1),monome([t(_14827,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_v_c_s_maxc,4),maxc,10,1,t([col(low_v_c_s_maxc,1),col(low_v_c_s_maxc,2)],[v,c],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(graph,low(maxc),1),low,col(low_v_mins_maxs_maxc,4),maxc,14,1,t([col(low_v_mins_maxs_maxc,3)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(graph,low(maxc),1),low,col(low_v_s_maxs_maxc,4),maxc,12,1,t([col(low_v_s_maxs_maxc,3)],[maxs],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).

missing(low_c_s_maxc,low,maxc).
missing(low_minc_maxs_maxc,low,maxc).
missing(low_v_minc_maxc,low,maxc).
missing(low_v_mins_maxc,col,maxs).
missing(low_v_mins_maxc,low,maxc).
missing(low_c_minc_maxs_maxc,low,maxc).
missing(low_c_minc_mins_maxc,low,maxc).
missing(low_c_minc_s_maxc,col,minmaxc).
missing(low_c_minc_s_maxc,low,maxc).
missing(low_c_mins_maxs_maxc,low,maxc).
missing(low_c_s_maxs_maxc,low,maxc).
missing(low_v_c_maxs_maxc,low,maxc).
missing(low_v_c_mins_maxc,low,maxc).
missing(low_v_minc_maxs_maxc,col,minmaxc).
missing(low_v_minc_maxs_maxc,low,maxc).
missing(low_v_minc_mins_maxc,col,minmaxc).
missing(low_v_minc_mins_maxc,low,maxc).
missing(low_v_minc_s_maxc,col,minmaxc).
missing(low_v_minc_s_maxc,low,maxc).
missing(low_v_s_mins_maxc,col,maxs).
missing(low_v_s_mins_maxc,low,maxc).
