% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(group,low(drange),1),secondary,col(low_n_drange,3),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_drange,4),dmid,30,1,t([col(low_n_drange,3)],[dmindmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_drange,5),rdmin,30,1,t([col(low_n_drange,3)],[dmindmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_drange,6),odmid,30,1,t([col(low_n_drange,3)],[dmindmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_drange,2),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_dmax_drange,4),dmin,30,1,t([col(low_n_dmax_drange,2)],[dmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_dmax_drange,5),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_dmax_drange,6),dmid,30,1,t([col(low_n_dmax_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_dmax_drange,7),rdmin,30,1,t([col(low_n_dmax_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_dmax_drange,8),odmid,30,1,t([col(low_n_dmax_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_dmax_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_dmin_drange,4),dmax,30,1,t([col(low_n_dmin_drange,2)],[dmin],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_dmin_drange,5),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_dmin_drange,6),dmid,30,1,t([col(low_n_dmin_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_dmin_drange,7),rdmin,30,1,t([col(low_n_dmin_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_dmin_drange,8),odmid,30,1,t([col(low_n_dmin_drange,5)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_dmin_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_drange,4),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_drange,7),odmin,30,3,t([col(low_n_ng_drange,2)],[ng],[_14739],if(eq(_14739,0),0,minus(_14739,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(group,low(drange),3),secondary,col(low_n_ng_drange,5),dmid,30,1,t([col(low_n_ng_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_ng_drange,6),rdmin,30,1,t([col(low_n_ng_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_ng_drange,8),odmax,30,1,t([col(low_n_ng_drange,7)],[odmin],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),secondary,col(low_n_ng_drange,9),odmid,30,1,t([col(low_n_ng_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),7),low,col(low_n_ng_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_drange,4),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_drange,5),dmid,30,1,t([col(low_n_nv_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_nv_drange,6),rdmin,30,1,t([col(low_n_nv_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_nv_drange,7),odmid,30,1,t([col(low_n_nv_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_nv_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smax_drange,4),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smax_drange,5),dmid,30,1,t([col(low_n_smax_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smax_drange,6),rdmin,30,1,t([col(low_n_smax_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smax_drange,7),odmid,30,1,t([col(low_n_smax_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_smax_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_drange,4),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_drange,5),dmid,30,1,t([col(low_n_smin_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smin_drange,6),rdmin,30,1,t([col(low_n_smin_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smin_drange,7),odmid,30,1,t([col(low_n_smin_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_smin_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_srange_drange,4),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_srange_drange,5),dmid,30,1,t([col(low_n_srange_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_srange_drange,6),rdmin,30,1,t([col(low_n_srange_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_srange_drange,7),odmid,30,1,t([col(low_n_srange_drange,4)],[dmindmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_srange_drange,3),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ssum_squares_drange,5),dmid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ssum_squares_drange,6),odmid,30,1,t([col(low_n_ssum_squares_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),low,col(low_n_dmax_dsum_squares_drange,4),drange,16,3,t([col(low_n_dmax_dsum_squares_drange,2),col(low_n_dmax_dsum_squares_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_dmax_dsum_squares_drange,4),drange,16,2,t([col(low_n_dmax_dsum_squares_drange,2),col(low_n_dmax_dsum_squares_drange,5)],[dmax,dmin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_dmin_dmax_drange,5),dmindmax,15,2,t([col(low_n_dmin_dmax_drange,2),col(low_n_dmin_dmax_drange,3)],[dmin,dmax],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(drange),2),low,col(low_n_dmin_dmax_drange,4),drange,15,2,t([col(low_n_dmin_dmax_drange,2),col(low_n_dmin_dmax_drange,3)],[dmin,dmax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),low,col(low_n_dmin_dsum_squares_drange,4),drange,15,3,t([col(low_n_dmin_dsum_squares_drange,5),col(low_n_dmin_dsum_squares_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_dmin_dsum_squares_drange,4),drange,15,2,t([col(low_n_dmin_dsum_squares_drange,2),col(low_n_dmin_dsum_squares_drange,5)],[dmin,dmax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),low,col(low_n_ng_dmax_drange,4),drange,14,3,t([col(low_n_ng_dmax_drange,3),col(low_n_ng_dmax_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_ng_dmax_drange,4),drange,14,2,t([col(low_n_ng_dmax_drange,3),col(low_n_ng_dmax_drange,5)],[dmax,dmin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_dmin_drange,5),dmax,30,1,t([col(low_n_ng_dmin_drange,3)],[dmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_dmin_drange,6),dsum_squares,30,3,t([col(low_n_ng_dmin_drange,2),col(low_n_ng_dmin_drange,3)],[ng,dmin],[_14757,_14761],prod(minus(_14757,1),polynom([monome([t(_14761,2)],1)]))),decomp,[decomp([families([unary_template([binary(2),unary(0)]),rest(formula)]),decomp(binary_op(prod),[unary_template(minus(_14757,1)),rest([nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])])])])]).
conjecture(id(group,low(drange),3),secondary,col(low_n_ng_dmin_drange,7),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_ng_dmin_drange,10),odmin,30,3,t([col(low_n_ng_dmin_drange,2)],[ng],[_14743],if(eq(_14743,0),0,minus(_14743,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(group,low(drange),5),secondary,col(low_n_ng_dmin_drange,13),odc,30,3,t([col(low_n_ng_dmin_drange,2),col(low_n_ng_dmin_drange,3)],[ng,dmin],[_14757,_14761],if(leq(_14761,1),0,minus(_14757,1))),cond,[cond(attr_leq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(group,low(drange),6),secondary,col(low_n_ng_dmin_drange,13),odc,30,2,t([col(low_n_ng_dmin_drange,3),col(low_n_ng_dmin_drange,10)],[dmin,odmin],[_14757,_14761],if(eq(_14757,1),0,_14761)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(drange),7),secondary,col(low_n_ng_dmin_drange,8),dmid,30,1,t([col(low_n_ng_dmin_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),8),secondary,col(low_n_ng_dmin_drange,9),rdmin,30,1,t([col(low_n_ng_dmin_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),9),secondary,col(low_n_ng_dmin_drange,11),odmax,30,1,t([col(low_n_ng_dmin_drange,10)],[odmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),10),secondary,col(low_n_ng_dmin_drange,12),odmid,30,1,t([col(low_n_ng_dmin_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),11),low,col(low_n_ng_dmin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_nv_drange,6),dmid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_nv_drange,7),odmid,30,1,t([col(low_n_ng_nv_drange,6)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),low,col(low_n_ng_nv_drange,4),drange,30,2,t([col(low_n_ng_nv_drange,5)],[dmindmax],[_14743],bool(0,0,and,1,[geq(_14743,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),4),low,col(low_n_ng_nv_drange,4),drange,30,0,t([col(low_n_ng_nv_drange,5)],[dmindmax],[_14743],bool(1,0,and,1,[eq(_14743,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_smax_drange,6),dmid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_smax_drange,7),odmid,30,1,t([col(low_n_ng_smax_drange,6)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),low,col(low_n_ng_smax_drange,4),drange,30,2,t([col(low_n_ng_smax_drange,5)],[dmindmax],[_14743],bool(0,0,and,1,[geq(_14743,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),4),low,col(low_n_ng_smax_drange,4),drange,30,0,t([col(low_n_ng_smax_drange,5)],[dmindmax],[_14743],bool(1,0,and,1,[eq(_14743,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_smin_drange,5),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_smin_drange,8),odmin,30,3,t([col(low_n_ng_smin_drange,2)],[ng],[_14743],if(eq(_14743,0),0,minus(_14743,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(group,low(drange),3),secondary,col(low_n_ng_smin_drange,6),dmid,30,1,t([col(low_n_ng_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_ng_smin_drange,7),rdmin,30,1,t([col(low_n_ng_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_ng_smin_drange,9),odmax,30,1,t([col(low_n_ng_smin_drange,8)],[odmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),secondary,col(low_n_ng_smin_drange,10),odmid,30,1,t([col(low_n_ng_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),7),low,col(low_n_ng_smin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_ng_srange_drange,5),dmid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_ng_srange_drange,6),odmid,30,1,t([col(low_n_ng_srange_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_dmax_drange,5),dmin,30,1,t([col(low_n_nv_dmax_drange,3)],[dmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_dmax_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_nv_dmax_drange,7),dmid,30,1,t([col(low_n_nv_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_nv_dmax_drange,8),rdmin,30,1,t([col(low_n_nv_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_nv_dmax_drange,9),odmid,30,1,t([col(low_n_nv_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_nv_dmax_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),low,col(low_n_nv_dmin_drange,4),drange,16,3,t([col(low_n_nv_dmin_drange,5),col(low_n_nv_dmin_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_nv_dmin_drange,4),drange,16,2,t([col(low_n_nv_dmin_drange,3),col(low_n_nv_dmin_drange,5)],[dmin,dmax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_smax_drange,6),dmid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_smax_drange,7),odmid,30,1,t([col(low_n_nv_smax_drange,6)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),low,col(low_n_nv_smax_drange,4),drange,30,2,t([col(low_n_nv_smax_drange,5)],[dmindmax],[_14743],bool(0,0,and,1,[geq(_14743,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),4),low,col(low_n_nv_smax_drange,4),drange,30,0,t([col(low_n_nv_smax_drange,5)],[dmindmax],[_14743],bool(1,0,and,1,[eq(_14743,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_smin_drange,5),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_smin_drange,6),dmid,30,1,t([col(low_n_nv_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_nv_smin_drange,7),rdmin,30,1,t([col(low_n_nv_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_nv_smin_drange,8),odmid,30,1,t([col(low_n_nv_smin_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_nv_smin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_srange_drange,5),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_srange_drange,6),dmid,30,1,t([col(low_n_nv_srange_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_nv_srange_drange,7),rdmin,30,1,t([col(low_n_nv_srange_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_nv_srange_drange,8),odmid,30,1,t([col(low_n_nv_srange_drange,5)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),low,col(low_n_nv_srange_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_nv_ssum_squares_drange,5),dmid,27,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_nv_ssum_squares_drange,6),odmid,27,1,t([col(low_n_nv_ssum_squares_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smax_dmax_drange,5),dmin,30,1,t([col(low_n_smax_dmax_drange,3)],[dmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smax_dmax_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smax_dmax_drange,7),dmid,30,1,t([col(low_n_smax_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smax_dmax_drange,8),rdmin,30,1,t([col(low_n_smax_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smax_dmax_drange,9),odmid,30,1,t([col(low_n_smax_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_smax_dmax_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smax_dmin_drange,5),dmax,30,1,t([col(low_n_smax_dmin_drange,3)],[dmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smax_dmin_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smax_dmin_drange,7),dmid,30,1,t([col(low_n_smax_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smax_dmin_drange,8),rdmin,30,1,t([col(low_n_smax_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smax_dmin_drange,9),odmid,30,1,t([col(low_n_smax_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_smax_dmin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smax_srange_drange,5),smin,30,2,t([col(low_n_smax_srange_drange,2),col(low_n_smax_srange_drange,3)],[smax,srange],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smax_srange_drange,6),sminsmax,30,3,t([col(low_n_smax_srange_drange,2),col(low_n_smax_srange_drange,3)],[smax,srange],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smax_srange_drange,7),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smax_srange_drange,6),sminsmax,30,2,t([col(low_n_smax_srange_drange,2),col(low_n_smax_srange_drange,5)],[smax,smin],[_14757,_14761],if(eq(_14757,_14761),0,_14761)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smax_srange_drange,8),dmid,30,1,t([col(low_n_smax_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),secondary,col(low_n_smax_srange_drange,9),rdmin,30,1,t([col(low_n_smax_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),7),secondary,col(low_n_smax_srange_drange,10),odmid,30,1,t([col(low_n_smax_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),8),low,col(low_n_smax_srange_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smax_ssum_squares_drange,5),dmid,27,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smax_ssum_squares_drange,6),odmid,27,1,t([col(low_n_smax_ssum_squares_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_dmax_drange,5),dmin,30,1,t([col(low_n_smin_dmax_drange,3)],[dmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_dmax_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smin_dmax_drange,7),dmid,30,1,t([col(low_n_smin_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smin_dmax_drange,8),rdmin,30,1,t([col(low_n_smin_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smin_dmax_drange,9),odmid,30,1,t([col(low_n_smin_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_smin_dmax_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_dmin_drange,5),dmax,30,1,t([col(low_n_smin_dmin_drange,3)],[dmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_dmin_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smin_dmin_drange,7),dmid,30,1,t([col(low_n_smin_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smin_dmin_drange,8),rdmin,30,1,t([col(low_n_smin_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smin_dmin_drange,9),odmid,30,1,t([col(low_n_smin_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_smin_dmin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_smax_drange,5),srange,30,2,t([col(low_n_smin_smax_drange,2),col(low_n_smin_smax_drange,3)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_smax_drange,6),sminsmax,30,2,t([col(low_n_smin_smax_drange,2),col(low_n_smin_smax_drange,3)],[smin,smax],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smin_smax_drange,7),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smin_smax_drange,8),dmid,30,1,t([col(low_n_smin_smax_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smin_smax_drange,9),rdmin,30,1,t([col(low_n_smin_smax_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),secondary,col(low_n_smin_smax_drange,10),odmid,30,1,t([col(low_n_smin_smax_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),7),low,col(low_n_smin_smax_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_srange_drange,5),smax,30,2,t([col(low_n_smin_srange_drange,2),col(low_n_smin_srange_drange,3)],[smin,srange],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_srange_drange,6),sminsmax,30,2,t([col(low_n_smin_srange_drange,2),col(low_n_smin_srange_drange,3)],[smin,srange],[_14757,_14761],if(eq(_14761,0),0,_14757)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(drange),3),secondary,col(low_n_smin_srange_drange,7),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_smin_srange_drange,8),dmid,30,1,t([col(low_n_smin_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_smin_srange_drange,9),rdmin,30,1,t([col(low_n_smin_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),secondary,col(low_n_smin_srange_drange,10),odmid,30,1,t([col(low_n_smin_srange_drange,7)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),7),low,col(low_n_smin_srange_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_smin_ssum_squares_drange,5),dmid,29,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_smin_ssum_squares_drange,6),odmid,29,1,t([col(low_n_smin_ssum_squares_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_srange_dmax_drange,5),dmin,30,1,t([col(low_n_srange_dmax_drange,3)],[dmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_srange_dmax_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_srange_dmax_drange,7),dmid,30,1,t([col(low_n_srange_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_srange_dmax_drange,8),rdmin,30,1,t([col(low_n_srange_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_srange_dmax_drange,9),odmid,30,1,t([col(low_n_srange_dmax_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_srange_dmax_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_srange_dmin_drange,5),dmax,30,1,t([col(low_n_srange_dmin_drange,3)],[dmin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_srange_dmin_drange,6),dmindmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),3),secondary,col(low_n_srange_dmin_drange,7),dmid,30,1,t([col(low_n_srange_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),4),secondary,col(low_n_srange_dmin_drange,8),rdmin,30,1,t([col(low_n_srange_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),5),secondary,col(low_n_srange_dmin_drange,9),odmid,30,1,t([col(low_n_srange_dmin_drange,6)],[dmindmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),6),low,col(low_n_srange_dmin_drange,4),drange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),1),secondary,col(low_n_srange_ssum_squares_drange,5),dmid,27,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(drange),2),secondary,col(low_n_srange_ssum_squares_drange,6),odmid,27,1,t([col(low_n_srange_ssum_squares_drange,5)],[dmid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(drange),1),low,col(low_n_ssum_squares_dmax_drange,4),drange,12,3,t([col(low_n_ssum_squares_dmax_drange,3),col(low_n_ssum_squares_dmax_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_ssum_squares_dmax_drange,4),drange,12,2,t([col(low_n_ssum_squares_dmax_drange,3),col(low_n_ssum_squares_dmax_drange,5)],[dmax,dmin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(drange),1),low,col(low_n_ssum_squares_dmin_drange,4),drange,16,3,t([col(low_n_ssum_squares_dmin_drange,5),col(low_n_ssum_squares_dmin_drange,6)],[dmax,dmindmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(drange),2),low,col(low_n_ssum_squares_dmin_drange,4),drange,16,2,t([col(low_n_ssum_squares_dmin_drange,3),col(low_n_ssum_squares_dmin_drange,5)],[dmin,dmax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).

missing(low_n_dsum_squares_drange,low,drange).
missing(low_n_ssum_squares_drange,col,dmindmax).
missing(low_n_ssum_squares_drange,low,drange).
missing(low_n_dmax_dsum_squares_drange,col,dmin).
missing(low_n_dmax_dsum_squares_drange,col,dmindmax).
missing(low_n_dmax_dsum_squares_drange,low,drange).
missing(low_n_dmin_dmax_drange,low,drange).
missing(low_n_dmin_dsum_squares_drange,col,dmax).
missing(low_n_dmin_dsum_squares_drange,col,dmindmax).
missing(low_n_dmin_dsum_squares_drange,low,drange).
missing(low_n_ng_dmax_drange,col,dmin).
missing(low_n_ng_dmax_drange,col,dmindmax).
missing(low_n_ng_dmax_drange,low,drange).
missing(low_n_ng_dsum_squares_drange,low,drange).
missing(low_n_ng_nv_drange,col,dmindmax).
missing(low_n_ng_nv_drange,low,drange).
missing(low_n_ng_smax_drange,col,dmindmax).
missing(low_n_ng_smax_drange,low,drange).
missing(low_n_ng_srange_drange,low,drange).
missing(low_n_nv_dmin_drange,col,dmax).
missing(low_n_nv_dmin_drange,col,dmindmax).
missing(low_n_nv_dmin_drange,low,drange).
missing(low_n_nv_dsum_squares_drange,low,drange).
missing(low_n_nv_smax_drange,col,dmindmax).
missing(low_n_nv_smax_drange,low,drange).
missing(low_n_nv_ssum_squares_drange,low,drange).
missing(low_n_smax_dsum_squares_drange,low,drange).
missing(low_n_smax_ssum_squares_drange,low,drange).
missing(low_n_smin_dsum_squares_drange,low,drange).
missing(low_n_smin_ssum_squares_drange,low,drange).
missing(low_n_srange_dsum_squares_drange,low,drange).
missing(low_n_srange_ssum_squares_drange,low,drange).
missing(low_n_ssum_squares_dmax_drange,col,dmin).
missing(low_n_ssum_squares_dmax_drange,col,dmindmax).
missing(low_n_ssum_squares_dmax_drange,low,drange).
missing(low_n_ssum_squares_dmin_drange,col,dmax).
missing(low_n_ssum_squares_dmin_drange,col,dmindmax).
missing(low_n_ssum_squares_dmin_drange,low,drange).
missing(low_n_ssum_squares_dsum_squares_drange,low,drange).
