% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(group,low(srange),1),secondary,col(low_n_srange,3),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_srange,4),smid,30,1,t([col(low_n_srange,3)],[sminsmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_srange,5),rsmin,30,1,t([col(low_n_srange,3)],[sminsmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_srange,6),osmid,30,1,t([col(low_n_srange,3)],[sminsmax],[_14721],polynom([monome([t(_14721,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),low,col(low_n_srange,2),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmax_srange,4),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmax_srange,5),smid,30,1,t([col(low_n_dmax_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_dmax_srange,6),rsmin,30,1,t([col(low_n_dmax_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_dmax_srange,7),osmid,30,1,t([col(low_n_dmax_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),low,col(low_n_dmax_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmin_srange,4),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmin_srange,5),smid,30,1,t([col(low_n_dmin_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_dmin_srange,6),rsmin,30,1,t([col(low_n_dmin_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_dmin_srange,7),osmid,30,1,t([col(low_n_dmin_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),low,col(low_n_dmin_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_drange_srange,4),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_drange_srange,5),smid,30,1,t([col(low_n_drange_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_drange_srange,6),rsmin,30,1,t([col(low_n_drange_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_drange_srange,7),osmid,30,1,t([col(low_n_drange_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),low,col(low_n_drange_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dsum_squares_srange,4),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dsum_squares_srange,5),osmid,30,1,t([col(low_n_dsum_squares_srange,4)],[smid],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_srange,4),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_srange,7),osmin,30,1,t([col(low_n_ng_srange,2)],[ng],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_ng_srange,8),osmax,30,1,t([col(low_n_ng_srange,2)],[ng],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_ng_srange,5),smid,30,1,t([col(low_n_ng_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_ng_srange,6),rsmin,30,1,t([col(low_n_ng_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_ng_srange,9),osmid,30,1,t([col(low_n_ng_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),low,col(low_n_ng_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_nv_srange,4),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_nv_srange,5),smid,30,1,t([col(low_n_nv_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_nv_srange,6),rsmin,30,1,t([col(low_n_nv_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_nv_srange,7),osmid,30,1,t([col(low_n_nv_srange,4)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),low,col(low_n_nv_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_smax_srange,4),smin,30,1,t([col(low_n_smax_srange,2)],[smax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_smax_srange,5),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_smax_srange,6),smid,30,1,t([col(low_n_smax_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_smax_srange,7),rsmin,30,1,t([col(low_n_smax_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_smax_srange,8),osmid,30,1,t([col(low_n_smax_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),low,col(low_n_smax_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_smin_srange,4),smax,30,1,t([col(low_n_smin_srange,2)],[smin],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_smin_srange,5),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_smin_srange,6),smid,30,1,t([col(low_n_smin_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_smin_srange,7),rsmin,30,1,t([col(low_n_smin_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_smin_srange,8),osmid,30,1,t([col(low_n_smin_srange,5)],[sminsmax],[_14739],polynom([monome([t(_14739,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),low,col(low_n_smin_srange,3),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmax_drange_srange,5),dmin,30,2,t([col(low_n_dmax_drange_srange,2),col(low_n_dmax_drange_srange,3)],[dmax,drange],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmax_drange_srange,6),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_dmax_drange_srange,10),dmindmax,30,3,t([col(low_n_dmax_drange_srange,2),col(low_n_dmax_drange_srange,3)],[dmax,drange],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),4),secondary,col(low_n_dmax_drange_srange,10),dmindmax,30,2,t([col(low_n_dmax_drange_srange,2),col(low_n_dmax_drange_srange,5)],[dmax,dmin],[_14757,_14761],if(eq(_14757,_14761),0,_14761)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),5),secondary,col(low_n_dmax_drange_srange,7),smid,30,1,t([col(low_n_dmax_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_dmax_drange_srange,8),rsmin,30,1,t([col(low_n_dmax_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),secondary,col(low_n_dmax_drange_srange,9),osmid,30,1,t([col(low_n_dmax_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),8),low,col(low_n_dmax_drange_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmax_dsum_squares_srange,5),smid,29,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmax_dsum_squares_srange,6),osmid,29,1,t([col(low_n_dmax_dsum_squares_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmin_dmax_srange,5),drange,30,2,t([col(low_n_dmin_dmax_srange,2),col(low_n_dmin_dmax_srange,3)],[dmin,dmax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmin_dmax_srange,6),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_dmin_dmax_srange,10),dmindmax,30,2,t([col(low_n_dmin_dmax_srange,2),col(low_n_dmin_dmax_srange,3)],[dmin,dmax],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),4),secondary,col(low_n_dmin_dmax_srange,7),smid,30,1,t([col(low_n_dmin_dmax_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_dmin_dmax_srange,8),rsmin,30,1,t([col(low_n_dmin_dmax_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_dmin_dmax_srange,9),osmid,30,1,t([col(low_n_dmin_dmax_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),low,col(low_n_dmin_dmax_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmin_drange_srange,5),dmax,30,2,t([col(low_n_dmin_drange_srange,2),col(low_n_dmin_drange_srange,3)],[dmin,drange],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmin_drange_srange,6),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_dmin_drange_srange,10),dmindmax,30,2,t([col(low_n_dmin_drange_srange,2),col(low_n_dmin_drange_srange,3)],[dmin,drange],[_14757,_14761],if(eq(_14761,0),0,_14757)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),4),secondary,col(low_n_dmin_drange_srange,7),smid,30,1,t([col(low_n_dmin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_dmin_drange_srange,8),rsmin,30,1,t([col(low_n_dmin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_dmin_drange_srange,9),osmid,30,1,t([col(low_n_dmin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),low,col(low_n_dmin_drange_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_dmin_dsum_squares_srange,5),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_dmin_dsum_squares_srange,6),osmid,30,1,t([col(low_n_dmin_dsum_squares_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_drange_dsum_squares_srange,5),smid,29,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_drange_dsum_squares_srange,6),osmid,29,1,t([col(low_n_drange_dsum_squares_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_dmax_srange,6),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_dmax_srange,7),osmid,30,1,t([col(low_n_ng_dmax_srange,6)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),low,col(low_n_ng_dmax_srange,4),srange,30,2,t([col(low_n_ng_dmax_srange,5)],[sminsmax],[_14743],bool(0,0,and,1,[geq(_14743,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(srange),4),low,col(low_n_ng_dmax_srange,4),srange,30,0,t([col(low_n_ng_dmax_srange,5)],[sminsmax],[_14743],bool(1,0,and,1,[eq(_14743,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_dmin_srange,5),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_dmin_srange,8),osmin,30,1,t([col(low_n_ng_dmin_srange,2)],[ng],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_ng_dmin_srange,9),osmax,30,1,t([col(low_n_ng_dmin_srange,2)],[ng],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_ng_dmin_srange,6),smid,30,1,t([col(low_n_ng_dmin_srange,5)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_ng_dmin_srange,7),rsmin,30,1,t([col(low_n_ng_dmin_srange,5)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_ng_dmin_srange,10),osmid,30,1,t([col(low_n_ng_dmin_srange,5)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),low,col(low_n_ng_dmin_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_drange_srange,5),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_drange_srange,6),osmid,30,1,t([col(low_n_ng_drange_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_dsum_squares_srange,5),smid,28,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_dsum_squares_srange,6),osmid,28,1,t([col(low_n_ng_dsum_squares_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_nv_srange,5),smin,30,2,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],floor(_14761,plus(_14757,bool(0,0,and,1,[eq(_14757,0)])))),decomp,[decomp([families([unary_template([binary(7),unary(0)]),slack(bool),rest(col)]),decomp(binary_op(rfloor),[unary_template(_14757),slack([bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]),rest([eq_col])])])]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_nv_srange,6),smax,30,2,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],ceil(_14761,plus(_14757,bool(0,0,and,1,[eq(_14757,0)])))),decomp,[decomp([families([unary_template([binary(8),unary(0)]),slack(bool),rest(col)]),decomp(binary_op(rceil),[unary_template(_14757),slack([bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]),rest([eq_col])])])]).
conjecture(id(group,low(srange),3),secondary,col(low_n_ng_nv_srange,8),sminsmax,30,5,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(eq(_14757,_14761),0,if(eq(_14761 mod _14757,0),0,polynom([monome([t(floor(_14761,_14757),1)],1)])))),decomp,[decomp([families([cond_template([cond(3),then(1)]),else(decomp)]),decomp(if(cond(3),then(1),else([decomp([families([cond_template([cond(5),then(1)]),else(formula)]),decomp(if(cond(5),then(1),else([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])))])])))])]).
conjecture(id(group,low(srange),4),secondary,col(low_n_ng_nv_srange,9),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_ng_nv_srange,10),rsmin,30,2,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(eq(_14757,_14761),0,polynom([monome([t(_14761 mod _14757,1)],1)]))),decomp,[decomp([families([cond_template([cond(3),then(1)]),else(formula)]),decomp(if(cond(3),then(1),else([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(group,low(srange),6),secondary,col(low_n_ng_nv_srange,11),osmin,30,2,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(eq(_14757,_14761),_14757,polynom([monome([t(cmod(_14757,_14761),1)],1)]))),decomp,[decomp([families([cond_template([cond(3),then(2)]),else(formula)]),decomp(if(cond(3),then(2),else([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(group,low(srange),7),secondary,col(low_n_ng_nv_srange,12),osmax,30,3,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(eq(_14757,_14761),_14757,polynom([monome([t(fmod(_14761,_14757),1)],1)]))),decomp,[decomp([families([cond_template([cond(3),then(2)]),else(formula)]),decomp(if(cond(3),then(2),else([nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])])))])]).
conjecture(id(group,low(srange),8),secondary,col(low_n_ng_nv_srange,14),osc,30,3,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(leq(_14761,prod(_14757,2)),minus(_14761,_14757),_14757)),cond,[cond(attr_leq_unary([prod(2,3)])),then(binary_term([minus])),else(attr)]).
conjecture(id(group,low(srange),9),secondary,col(low_n_ng_nv_srange,8),sminsmax,30,2,t([col(low_n_ng_nv_srange,5),col(low_n_ng_nv_srange,6)],[smin,smax],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),10),secondary,col(low_n_ng_nv_srange,12),osmax,30,2,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,10)],[ng,rsmin],[_14757,_14761],if(eq(_14761,0),_14757,_14761)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(attr)]).
conjecture(id(group,low(srange),11),secondary,col(low_n_ng_nv_srange,13),osmid,30,1,t([col(low_n_ng_nv_srange,9)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),12),low,col(low_n_ng_nv_srange,4),srange,30,4,t([col(low_n_ng_nv_srange,2),col(low_n_ng_nv_srange,3)],[ng,nv],[_14757,_14761],if(eq(_14757,_14761),0,if(eq(_14761 mod _14757,0),0,1))),decomp,[decomp([families([cond_template([cond(3),then(1)]),else(decomp)]),decomp(if(cond(3),then(1),else([decomp([families([cond_template([cond(5),then(1)]),else(cst)]),decomp(if(cond(5),then(1),else([cst])))])])))])]).
conjecture(id(group,low(srange),13),low,col(low_n_ng_nv_srange,4),srange,30,2,t([col(low_n_ng_nv_srange,8)],[sminsmax],[_14743],bool(0,0,and,1,[geq(_14743,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(srange),14),low,col(low_n_ng_nv_srange,4),srange,30,0,t([col(low_n_ng_nv_srange,8)],[sminsmax],[_14743],bool(1,0,and,1,[eq(_14743,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(group,low(srange),1),low,col(low_n_ng_smax_srange,4),srange,12,3,t([col(low_n_ng_smax_srange,3),col(low_n_ng_smax_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_ng_smax_srange,4),srange,12,2,t([col(low_n_ng_smax_srange,3),col(low_n_ng_smax_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),secondary,col(low_n_ng_smin_srange,5),nv,30,1,t([col(low_n_ng_smin_srange,2),col(low_n_ng_smin_srange,3)],[ng,smin],[_14757,_14761],polynom([monome([t(_14757,1),t(_14761,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),2),secondary,col(low_n_ng_smin_srange,6),smax,30,1,t([col(low_n_ng_smin_srange,3)],[smin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_ng_smin_srange,7),ssum_squares,30,1,t([col(low_n_ng_smin_srange,2),col(low_n_ng_smin_srange,3)],[ng,smin],[_14757,_14761],polynom([monome([t(_14757,1),t(power(_14761,2),1)],1)])),formula,[nb_polynom([1]),nb_unary([1]),nb_binary([0]),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),main_formula([1-t([degree(2,2),non_zero(1,2,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),4),secondary,col(low_n_ng_smin_srange,8),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_ng_smin_srange,11),osmin,30,1,t([col(low_n_ng_smin_srange,2)],[ng],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),secondary,col(low_n_ng_smin_srange,12),osmax,30,1,t([col(low_n_ng_smin_srange,2)],[ng],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),7),secondary,col(low_n_ng_smin_srange,14),osc,30,2,t([col(low_n_ng_smin_srange,2),col(low_n_ng_smin_srange,3)],[ng,smin],[_14757,_14761],if(eq(_14761,1),0,_14757)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),8),secondary,col(low_n_ng_smin_srange,9),smid,30,1,t([col(low_n_ng_smin_srange,8)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),9),secondary,col(low_n_ng_smin_srange,10),rsmin,30,1,t([col(low_n_ng_smin_srange,8)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),10),secondary,col(low_n_ng_smin_srange,13),osmid,30,1,t([col(low_n_ng_smin_srange,8)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),11),low,col(low_n_ng_smin_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_nv_dmax_srange,5),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_nv_dmax_srange,6),osmid,30,1,t([col(low_n_nv_dmax_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_nv_dmin_srange,5),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_nv_dmin_srange,6),osmid,30,1,t([col(low_n_nv_dmin_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_nv_drange_srange,5),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_nv_drange_srange,6),osmid,30,1,t([col(low_n_nv_drange_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),secondary,col(low_n_nv_dsum_squares_srange,5),smid,25,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_nv_dsum_squares_srange,6),osmid,25,1,t([col(low_n_nv_dsum_squares_srange,5)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),1),low,col(low_n_nv_smax_srange,4),srange,19,3,t([col(low_n_nv_smax_srange,3),col(low_n_nv_smax_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_nv_smax_srange,4),srange,19,2,t([col(low_n_nv_smax_srange,3),col(low_n_nv_smax_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_nv_smin_srange,4),srange,12,3,t([col(low_n_nv_smin_srange,5),col(low_n_nv_smin_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_nv_smin_srange,4),srange,12,2,t([col(low_n_nv_smin_srange,3),col(low_n_nv_smin_srange,5)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smax_dmax_srange,4),srange,11,3,t([col(low_n_smax_dmax_srange,2),col(low_n_smax_dmax_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smax_dmax_srange,4),srange,11,2,t([col(low_n_smax_dmax_srange,2),col(low_n_smax_dmax_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smax_dmin_srange,4),srange,11,3,t([col(low_n_smax_dmin_srange,2),col(low_n_smax_dmin_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smax_dmin_srange,4),srange,11,2,t([col(low_n_smax_dmin_srange,2),col(low_n_smax_dmin_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smax_drange_srange,4),srange,16,3,t([col(low_n_smax_drange_srange,2),col(low_n_smax_drange_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smax_drange_srange,4),srange,16,2,t([col(low_n_smax_drange_srange,2),col(low_n_smax_drange_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smax_dsum_squares_srange,4),srange,13,3,t([col(low_n_smax_dsum_squares_srange,2),col(low_n_smax_dsum_squares_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smax_dsum_squares_srange,4),srange,13,2,t([col(low_n_smax_dsum_squares_srange,2),col(low_n_smax_dsum_squares_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smax_ssum_squares_srange,4),srange,14,3,t([col(low_n_smax_ssum_squares_srange,2),col(low_n_smax_ssum_squares_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smax_ssum_squares_srange,4),srange,14,2,t([col(low_n_smax_ssum_squares_srange,2),col(low_n_smax_ssum_squares_srange,5)],[smax,smin],[_14757,_14761],polynom([monome([t(_14761,1)],-1),monome([t(_14757,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smin_dmax_srange,4),srange,18,3,t([col(low_n_smin_dmax_srange,5),col(low_n_smin_dmax_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smin_dmax_srange,4),srange,18,2,t([col(low_n_smin_dmax_srange,2),col(low_n_smin_dmax_srange,5)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),secondary,col(low_n_smin_dmin_srange,7),smid,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_smin_dmin_srange,9),osmid,30,1,t([col(low_n_smin_dmin_srange,7)],[smid],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),3),low,col(low_n_smin_dmin_srange,4),srange,30,3,t([col(low_n_smin_dmin_srange,5),col(low_n_smin_dmin_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),4),low,col(low_n_smin_dmin_srange,4),srange,30,2,t([col(low_n_smin_dmin_srange,2),col(low_n_smin_dmin_srange,5)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),secondary,col(low_n_smin_drange_srange,5),smax,30,1,t([col(low_n_smin_drange_srange,2)],[smin],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),2),secondary,col(low_n_smin_drange_srange,6),sminsmax,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),3),secondary,col(low_n_smin_drange_srange,7),smid,30,1,t([col(low_n_smin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),4),secondary,col(low_n_smin_drange_srange,8),rsmin,30,1,t([col(low_n_smin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),5),secondary,col(low_n_smin_drange_srange,9),osmid,30,1,t([col(low_n_smin_drange_srange,6)],[sminsmax],[_14743],polynom([monome([t(_14743,1)],1)])),formula,[]).
conjecture(id(group,low(srange),6),low,col(low_n_smin_drange_srange,4),srange,30,0,t([],[],[],0),cst,[]).
conjecture(id(group,low(srange),1),low,col(low_n_smin_dsum_squares_srange,4),srange,13,3,t([col(low_n_smin_dsum_squares_srange,5),col(low_n_smin_dsum_squares_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smin_dsum_squares_srange,4),srange,13,2,t([col(low_n_smin_dsum_squares_srange,2),col(low_n_smin_dsum_squares_srange,5)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),secondary,col(low_n_smin_smax_srange,5),sminsmax,13,2,t([col(low_n_smin_smax_srange,2),col(low_n_smin_smax_srange,3)],[smin,smax],[_14757,_14761],if(eq(_14757,_14761),0,_14757)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(group,low(srange),2),low,col(low_n_smin_smax_srange,4),srange,13,2,t([col(low_n_smin_smax_srange,2),col(low_n_smin_smax_srange,3)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(group,low(srange),1),low,col(low_n_smin_ssum_squares_srange,4),srange,13,3,t([col(low_n_smin_ssum_squares_srange,5),col(low_n_smin_ssum_squares_srange,6)],[smax,sminsmax],[_14757,_14761],if(eq(_14761,0),0,minus(_14757,_14761))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(group,low(srange),2),low,col(low_n_smin_ssum_squares_srange,4),srange,13,2,t([col(low_n_smin_ssum_squares_srange,2),col(low_n_smin_ssum_squares_srange,5)],[smin,smax],[_14757,_14761],polynom([monome([t(_14761,1)],1),monome([t(_14757,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).

missing(low_n_dsum_squares_srange,low,srange).
missing(low_n_ssum_squares_srange,low,srange).
missing(low_n_dmax_dsum_squares_srange,low,srange).
missing(low_n_dmin_dsum_squares_srange,low,srange).
missing(low_n_drange_dsum_squares_srange,low,srange).
missing(low_n_ng_dmax_srange,col,sminsmax).
missing(low_n_ng_dmax_srange,low,srange).
missing(low_n_ng_drange_srange,low,srange).
missing(low_n_ng_dsum_squares_srange,low,srange).
missing(low_n_ng_nv_srange,col,ssum_squares).
missing(low_n_ng_smax_srange,col,smin).
missing(low_n_ng_smax_srange,col,sminsmax).
missing(low_n_ng_smax_srange,low,srange).
missing(low_n_ng_ssum_squares_srange,low,srange).
missing(low_n_nv_dmax_srange,low,srange).
missing(low_n_nv_dmin_srange,low,srange).
missing(low_n_nv_drange_srange,low,srange).
missing(low_n_nv_dsum_squares_srange,low,srange).
missing(low_n_nv_smax_srange,col,smin).
missing(low_n_nv_smax_srange,col,sminsmax).
missing(low_n_nv_smax_srange,low,srange).
missing(low_n_nv_smin_srange,col,smax).
missing(low_n_nv_smin_srange,col,sminsmax).
missing(low_n_nv_smin_srange,low,srange).
missing(low_n_nv_ssum_squares_srange,low,srange).
missing(low_n_smax_dmax_srange,col,smin).
missing(low_n_smax_dmax_srange,col,sminsmax).
missing(low_n_smax_dmax_srange,low,srange).
missing(low_n_smax_dmin_srange,col,smin).
missing(low_n_smax_dmin_srange,col,sminsmax).
missing(low_n_smax_dmin_srange,low,srange).
missing(low_n_smax_drange_srange,col,smin).
missing(low_n_smax_drange_srange,col,sminsmax).
missing(low_n_smax_drange_srange,low,srange).
missing(low_n_smax_dsum_squares_srange,col,smin).
missing(low_n_smax_dsum_squares_srange,col,sminsmax).
missing(low_n_smax_dsum_squares_srange,low,srange).
missing(low_n_smax_ssum_squares_srange,col,smin).
missing(low_n_smax_ssum_squares_srange,col,sminsmax).
missing(low_n_smax_ssum_squares_srange,low,srange).
missing(low_n_smin_dmax_srange,col,smax).
missing(low_n_smin_dmax_srange,col,sminsmax).
missing(low_n_smin_dmax_srange,low,srange).
missing(low_n_smin_dmin_srange,col,smax).
missing(low_n_smin_dmin_srange,col,sminsmax).
missing(low_n_smin_dmin_srange,col,rsmin).
missing(low_n_smin_dmin_srange,low,srange).
missing(low_n_smin_dsum_squares_srange,col,smax).
missing(low_n_smin_dsum_squares_srange,col,sminsmax).
missing(low_n_smin_dsum_squares_srange,low,srange).
missing(low_n_smin_smax_srange,low,srange).
missing(low_n_smin_ssum_squares_srange,col,smax).
missing(low_n_smin_ssum_squares_srange,col,sminsmax).
missing(low_n_smin_ssum_squares_srange,low,srange).
missing(low_n_ssum_squares_dmax_srange,low,srange).
missing(low_n_ssum_squares_dmin_srange,low,srange).
missing(low_n_ssum_squares_drange_srange,low,srange).
missing(low_n_ssum_squares_dsum_squares_srange,low,srange).
