% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(forest,up(minf),1),secondary,col(up_v_minf,3),maxf,18,3,t([col(up_v_minf,1)],[v],[_14773],max(polynom([monome([t(_14773,1)],1),monome([],-1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),2),up,col(up_v_minf,2),minf,18,1,t([col(up_v_minf,3)],[maxf],[_14773],polynom([monome([t(_14773,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_f_minf,4),maxf,18,2,t([col(up_v_f_minf,1),col(up_v_f_minf,2)],[v,f],[_14805,_14809],if(eq(_14805,_14809),1,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),2),secondary,col(up_v_f_minf,5),mint,18,2,t([col(up_v_f_minf,1),col(up_v_f_minf,2)],[v,f],[_14805,_14809],if(eq(_14805,_14809),1,_14805)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),3),secondary,col(up_v_f_minf,6),t,18,2,t([col(up_v_f_minf,1),col(up_v_f_minf,2)],[v,f],[_14805,_14809],if(eq(_14805,_14809),_14805,1)),cond,[cond(attr_eq_attr),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(minf),4),secondary,col(up_v_f_minf,7),maxt,18,1,t([col(up_v_f_minf,5)],[mint],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),5),up,col(up_v_f_minf,3),minf,18,1,t([col(up_v_f_minf,4)],[maxf],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),1),up,col(up_v_maxf_minf,3),minf,18,1,t([col(up_v_maxf_minf,2)],[maxf],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_maxp_minf,4),mint,18,2,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],if(eq(_14809,0),1,_14805)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),2),secondary,col(up_v_maxp_minf,5),f,18,2,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],polynom([monome([t(_14809,1)],-1),monome([t(_14805,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),3),secondary,col(up_v_maxp_minf,6),maxf,18,7,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],cmod(polynom([monome([t(_14805,1)],1),monome([],1)]),polynom([monome([t(min(_14809,1),1)],2),monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),4),secondary,col(up_v_maxp_minf,6),maxf,18,6,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],cmod(polynom([monome([t(min(_14809,1),1)],-1),monome([t(_14805,1)],1),monome([],1)]),polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),5),secondary,col(up_v_maxp_minf,6),maxf,18,5,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],cmod(polynom([monome([t(in(_14809,0,0),1)],1),monome([t(_14805,1)],1)]),polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),6),secondary,col(up_v_maxp_minf,6),maxf,18,4,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],min(polynom([monome([t(_14805,1),t(_14809,1)],1),monome([],1)]),polynom([monome([t(_14809,1)],-1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,ceil,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),7),secondary,col(up_v_maxp_minf,8),t,18,2,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,2)],[v,maxp],[_14805,_14809],if(eq(_14809,0),_14805,1)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(forest,up(minf),8),secondary,col(up_v_maxp_minf,6),maxf,18,2,t([col(up_v_maxp_minf,1),col(up_v_maxp_minf,5)],[v,f],[_14805,_14809],if(eq(_14805,_14809),1,_14809)),cond,[cond(attr_eq_attr),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),9),secondary,col(up_v_maxp_minf,7),maxt,18,1,t([col(up_v_maxp_minf,4)],[mint],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),10),up,col(up_v_maxp_minf,3),minf,18,1,t([col(up_v_maxp_minf,6)],[maxf],[_14791],polynom([monome([t(_14791,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_minp_minf,4),mint,18,2,t([col(up_v_minp_minf,1),col(up_v_minp_minf,2)],[v,minp],[_14805,_14809],if(eq(_14809,0),1,_14805)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),2),up,col(up_v_minp_minf,3),minf,18,7,t([col(up_v_minp_minf,1),col(up_v_minp_minf,2)],[v,minp],[_14805,_14809],cmod(polynom([monome([t(_14805,1)],1),monome([],1)]),polynom([monome([t(min(_14809,1),1)],2),monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),3),up,col(up_v_minp_minf,3),minf,18,6,t([col(up_v_minp_minf,1),col(up_v_minp_minf,2)],[v,minp],[_14805,_14809],cmod(polynom([monome([t(min(_14809,1),1)],-1),monome([t(_14805,1)],1),monome([],1)]),polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),4),up,col(up_v_minp_minf,3),minf,18,5,t([col(up_v_minp_minf,1),col(up_v_minp_minf,2)],[v,minp],[_14805,_14809],cmod(polynom([monome([t(in(_14809,0,0),1)],1),monome([t(_14805,1)],1)]),polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),5),up,col(up_v_minp_minf,3),minf,18,4,t([col(up_v_minp_minf,1),col(up_v_minp_minf,2)],[v,minp],[_14805,_14809],min(polynom([monome([t(_14805,1),t(_14809,1)],1),monome([],1)]),polynom([monome([t(_14809,1)],-1),monome([t(_14805,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),6),up,col(up_v_minp_minf,3),minf,18,2,t([col(up_v_minp_minf,2),col(up_v_minp_minf,4)],[minp,mint],[_14805,_14809],polynom([monome([t(_14809,1)],1),monome([t(_14805,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_mint_minf,4),minp,18,3,t([col(up_v_mint_minf,2)],[mint],[_14791],bool(0,0,and,1,[geq(_14791,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),2),secondary,col(up_v_mint_minf,4),minp,18,1,t([col(up_v_mint_minf,2)],[mint],[_14791],bool(1,0,and,1,[eq(_14791,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),3),up,col(up_v_mint_minf,3),minf,18,3,t([col(up_v_mint_minf,2)],[mint],[_14791],if(eq(_14791,1),1,minus(_14791,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(forest,up(minf),4),up,col(up_v_mint_minf,3),minf,18,3,t([col(up_v_mint_minf,1),col(up_v_mint_minf,2),col(up_v_mint_minf,4)],[v,mint,minp],[_14819,_14823,_14827],floor(polynom([monome([t(_14819,1),t(_14823,1)],1)]),polynom([monome([t(_14827,1)],1),monome([t(_14819,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_f_mind_minf,5),maxt,18,3,t([col(up_v_f_mind_minf,1),col(up_v_f_mind_minf,2),col(up_v_f_mind_minf,3)],[v,f,mind],[_14823,_14827,_14831],if(leq(minus(_14823,_14827),1),plus(_14831,1),_14823)),cond,[cond(binary_term_leq_coef([minus],coef(0,3))),then(unary_term([plus(1,3)])),else(attr)]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_f_minp_minf,5),mint,11,2,t([col(up_v_f_minp_minf,1),col(up_v_f_minp_minf,3)],[v,minp],[_14809,_14813],if(eq(_14813,0),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),2),up,col(up_v_f_minp_minf,4),minf,11,2,t([col(up_v_f_minp_minf,2),col(up_v_f_minp_minf,3)],[f,minp],[_14809,_14813],if(eq(_14813,0),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),3),up,col(up_v_f_minp_minf,4),minf,11,2,t([col(up_v_f_minp_minf,2),col(up_v_f_minp_minf,5)],[f,mint],[_14809,_14813],if(eq(_14813,1),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),4),up,col(up_v_f_minp_minf,4),minf,11,1,t([col(up_v_f_minp_minf,2),col(up_v_f_minp_minf,5)],[f,mint],[_14809,_14813],polynom([monome([t(min(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),up,col(up_v_maxf_maxd_minf,4),minf,13,1,t([col(up_v_maxf_maxd_minf,2)],[maxf],[_14795],polynom([monome([t(_14795,1)],1)])),formula,[]).
conjecture(id(forest,up(minf),1),up,col(up_v_maxf_minp_minf,4),minf,11,2,t([col(up_v_maxf_minp_minf,2),col(up_v_maxf_minp_minf,3)],[maxf,minp],[_14809,_14813],if(eq(_14813,0),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),1),up,col(up_v_maxf_mint_minf,4),minf,12,3,t([col(up_v_maxf_mint_minf,2),col(up_v_maxf_mint_minf,3)],[maxf,mint],[_14809,_14813],if(leq(_14813,_14809),max_min(_14813,1,1),_14809)),cond,[cond(attr_leq_attr),then(unary_term([max_min(1,3)])),else(attr)]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_mind_minp_minf,5),mint,13,2,t([col(up_v_mind_minp_minf,1),col(up_v_mind_minp_minf,3)],[v,minp],[_14809,_14813],if(eq(_14813,0),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_minp_maxp_minf,5),mint,11,2,t([col(up_v_minp_maxp_minf,1),col(up_v_minp_maxp_minf,2)],[v,minp],[_14809,_14813],if(eq(_14813,0),1,_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(attr)]).
conjecture(id(forest,up(minf),2),up,col(up_v_minp_maxp_minf,4),minf,11,8,t([col(up_v_minp_maxp_minf,1),col(up_v_minp_maxp_minf,2),col(up_v_minp_maxp_minf,3)],[v,minp,maxp],[_14823,_14827,_14831],cmod(polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1),monome([],1)]),polynom([monome([t(min(_14827,1),1)],2),monome([t(_14831,1)],-1),monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),3),up,col(up_v_minp_maxp_minf,4),minf,11,6,t([col(up_v_minp_maxp_minf,1),col(up_v_minp_maxp_minf,2),col(up_v_minp_maxp_minf,3)],[v,minp,maxp],[_14823,_14827,_14831],min(polynom([monome([t(_14827,2)],-1),monome([t(_14823,1),t(_14827,1)],1),monome([t(_14827,1)],-1),monome([],1)]),polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),4),up,col(up_v_minp_maxp_minf,4),minf,11,5,t([col(up_v_minp_maxp_minf,1),col(up_v_minp_maxp_minf,2),col(up_v_minp_maxp_minf,3)],[v,minp,maxp],[_14823,_14827,_14831],min(polynom([monome([t(_14827,2)],-1),monome([t(_14823,1),t(_14827,1)],1),monome([],1)]),polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),5),up,col(up_v_minp_maxp_minf,4),minf,11,4,t([col(up_v_minp_maxp_minf,1),col(up_v_minp_maxp_minf,2),col(up_v_minp_maxp_minf,3)],[v,minp,maxp],[_14823,_14827,_14831],min(polynom([monome([t(_14823,1),t(_14827,1)],1),monome([],1)]),polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),6),up,col(up_v_minp_maxp_minf,4),minf,11,3,t([col(up_v_minp_maxp_minf,3),col(up_v_minp_maxp_minf,5)],[maxp,mint],[_14809,_14813],if(eq(_14813,1),1,minus(_14813,_14809))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(forest,up(minf),7),up,col(up_v_minp_maxp_minf,4),minf,11,2,t([col(up_v_minp_maxp_minf,3),col(up_v_minp_maxp_minf,5)],[maxp,mint],[_14809,_14813],polynom([monome([t(cmod(_14813,_14809),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),up,col(up_v_minp_maxt_minf,4),minf,12,2,t([col(up_v_minp_maxt_minf,2),col(up_v_minp_maxt_minf,5)],[minp,mint],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),up,col(up_v_minp_mint_minf,4),minf,15,2,t([col(up_v_minp_mint_minf,2),col(up_v_minp_mint_minf,3)],[minp,mint],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_mint_maxt_minf,5),minp,18,3,t([col(up_v_mint_maxt_minf,2)],[mint],[_14795],bool(0,0,and,1,[geq(_14795,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),2),secondary,col(up_v_mint_maxt_minf,5),minp,18,1,t([col(up_v_mint_maxt_minf,2)],[mint],[_14795],bool(1,0,and,1,[eq(_14795,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),3),up,col(up_v_mint_maxt_minf,4),minf,18,3,t([col(up_v_mint_maxt_minf,2)],[mint],[_14795],if(eq(_14795,1),1,minus(_14795,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(forest,up(minf),4),up,col(up_v_mint_maxt_minf,4),minf,18,3,t([col(up_v_mint_maxt_minf,1),col(up_v_mint_maxt_minf,2),col(up_v_mint_maxt_minf,3),col(up_v_mint_maxt_minf,5)],[v,mint,maxt,minp],[_14837,_14841,_14845,_14849],floor(polynom([monome([t(_14845,1),t(_14849,1)],-1),monome([t(_14837,1),t(_14841,1)],1)]),polynom([monome([t(_14837,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_t_minp_minf,5),mint,13,3,t([col(up_v_t_minp_minf,1),col(up_v_t_minp_minf,2),col(up_v_t_minp_minf,3)],[v,t,minp],[_14823,_14827,_14831],if(eq(_14831,0),1,floor(_14823,_14827))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(forest,up(minf),2),up,col(up_v_t_minp_minf,4),minf,13,2,t([col(up_v_t_minp_minf,3),col(up_v_t_minp_minf,5)],[minp,mint],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(forest,up(minf),1),secondary,col(up_v_t_mint_minf,5),minp,18,3,t([col(up_v_t_mint_minf,3)],[mint],[_14781],bool(0,0,and,1,[geq(_14781,2)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),2),secondary,col(up_v_t_mint_minf,5),minp,18,1,t([col(up_v_t_mint_minf,3)],[mint],[_14781],bool(1,0,and,1,[eq(_14781,1)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(forest,up(minf),3),up,col(up_v_t_mint_minf,4),minf,18,3,t([col(up_v_t_mint_minf,3)],[mint],[_14781],if(eq(_14781,1),1,minus(_14781,1))),cond,[cond(attr_eq_coef(coef(-3,3))),then(coef(-3,3)),else(unary_term([minus(1,3)]))]).
conjecture(id(forest,up(minf),4),up,col(up_v_t_mint_minf,4),minf,18,3,t([col(up_v_t_mint_minf,1),col(up_v_t_mint_minf,2),col(up_v_t_mint_minf,3),col(up_v_t_mint_minf,5)],[v,t,mint,minp],[_14823,_14827,_14831,_14835],floor(polynom([monome([t(_14827,1),t(_14835,1)],-1),monome([t(_14823,1),t(_14831,1)],1)]),polynom([monome([t(_14823,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,2),non_zero(1,2,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).

missing(up_v_maxd_minf,col,maxf).
missing(up_v_maxd_minf,up,minf).
missing(up_v_maxt_minf,up,minf).
missing(up_v_mind_minf,col,maxd).
missing(up_v_mind_minf,col,maxf).
missing(up_v_mind_minf,up,minf).
missing(up_v_t_minf,up,minf).
missing(up_v_f_maxd_minf,up,minf).
missing(up_v_f_maxf_minf,up,minf).
missing(up_v_f_maxp_minf,up,minf).
missing(up_v_f_maxt_minf,up,minf).
missing(up_v_f_mint_minf,up,minf).
missing(up_v_maxd_maxp_minf,up,minf).
missing(up_v_maxd_maxt_minf,up,minf).
missing(up_v_maxd_minp_minf,col,mint).
missing(up_v_maxd_minp_minf,up,minf).
missing(up_v_maxd_mint_minf,up,minf).
missing(up_v_maxf_maxp_minf,up,minf).
missing(up_v_maxf_maxt_minf,up,minf).
missing(up_v_maxf_mind_minf,up,minf).
missing(up_v_maxp_maxt_minf,up,minf).
missing(up_v_maxp_mint_minf,up,minf).
missing(up_v_mind_maxd_minf,up,minf).
missing(up_v_mind_maxp_minf,up,minf).
missing(up_v_mind_maxt_minf,up,minf).
missing(up_v_mind_minp_minf,up,minf).
missing(up_v_mind_mint_minf,up,minf).
missing(up_v_minp_maxt_minf,col,mint).
missing(up_v_minp_maxt_minf,up,minf).
missing(up_v_t_f_minf,up,minf).
missing(up_v_t_maxd_minf,up,minf).
missing(up_v_t_maxf_minf,up,minf).
missing(up_v_t_maxp_minf,up,minf).
missing(up_v_t_maxt_minf,up,minf).
missing(up_v_t_mind_minf,up,minf).
