% Contains all found conjectures generated by main, where each conjecture is a conjecture\9 fact of the form:
%  . id(KindCombi, MapId, ConjId): conjecture identifier,
%  . Kind                        : low (if lower bound); up (if upper bound); primary, secondary (if equality),
%  . col(Table,Col)              : table and column for which the conjecture holds (left-hand side of the conjecture),
%  . Name                        : name corresponding to col(Table,Col),
%  . MaxN                        : size that was used for generating the conjecture,
%  . Cost                        : cost associated with the conjecture,
%  . Formula                     : formula associated with the conjecture (right-hand side of the conjecture),
%  . ConjFamily                  : family to which belong the conjecture,
%  . Option                      : option that was used to generate the conjecture.
% Contains also all characteritics for which could not find any formula, see missing\3 facts.

:- multifile conjecture/9.
:- multifile missing/3.
:- dynamic conjecture/9.
:- dynamic missing/3.

conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_sum_squares,4),nval,30,1,t([col(low_n_m_sum_squares,2)],[m],[_14777],polynom([monome([t(_14777,1)],1)])),formula,[]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_sum_squares,5),min,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],polynom([monome([t(floor(_14791,_14795),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_sum_squares,6),max,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],polynom([monome([t(ceil(_14791,_14795),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_sum_squares,7),range,30,9,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],bool(0,0,and,1,[geq(_14791 mod _14795,1)])),bool,[bool([neg(0),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_sum_squares,7),range,30,7,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],bool(1,0,and,1,[eq(_14791 mod _14795,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_sum_squares,7),range,30,2,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],if(eq(_14791 mod _14795,0),0,1)),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(coef(-3,3))]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_sum_squares,8),mid,30,0,t([],[],[],0),cst,[]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_sum_squares,9),rmin,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],polynom([monome([t(_14791 mod _14795,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_sum_squares,10),omin,30,2,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],polynom([monome([t(cmod(_14795,_14791),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),10),secondary,col(low_n_m_sum_squares,11),omax,30,1,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],polynom([monome([t(fmod(_14791,_14795),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),11),secondary,col(low_n_m_sum_squares,13),oc,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],if(leq(_14791,prod(_14795,2)),minus(_14791,_14795),_14795)),cond,[cond(attr_leq_unary([prod(2,3)])),then(binary_term([minus])),else(attr)]).
conjecture(id(partition0,low(sum_squares),12),secondary,col(low_n_m_sum_squares,14),oc1,30,4,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],if(leq(prod(_14795,2),_14791),0,cmod(_14795,_14791))),cond,[cond(unary_leq_attr([prod(2,3)])),then(coef(-3,3)),else(binary_term([cmod,dmod]))]).
conjecture(id(partition0,low(sum_squares),13),secondary,col(low_n_m_sum_squares,14),oc1,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,2)],[n,m],[_14791,_14795],max(polynom([monome([t(_14795,1)],2),monome([t(_14791,1)],-1)]),0)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),14),secondary,col(low_n_m_sum_squares,7),range,30,0,t([col(low_n_m_sum_squares,9)],[rmin],[_14777],bool(1,0,and,1,[eq(_14777,0)])),bool,[bool([neg(1),op([and]),nb_terms(1,1),conds([t(cond(attr_eq_attr),no_negation,2),t(cond(attr_leq_attr),no_negation,2),t(cond(attr_eq_coef(coef(-5,5))),no_negation,3),t(cond(attr_leq_coef(coef(-5,5))),no_negation,3),t(cond(attr_geq_coef(coef(-5,5))),no_negation,3),t(cond(attr_in_interval(1,5)),no_restriction,3),t(cond(attr_eq_unary([prod(2,5)])),no_negation,1),t(cond(attr_leq_unary([prod(2,5)])),no_negation,1),t(cond(unary_leq_attr([prod(2,5)])),no_negation,1),t(cond(sum_leq_attr),no_negation,1),t(cond(ceil_leq_floor),no_negation,1),t(cond(unary_term_eq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_leq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(unary_term_geq_coef([2 mod 5],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([plus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([minus],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([min],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([max],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([prod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([abs],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([floor],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([ceil],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mfloor],coef(0,5))),no_negation,1),t(cond(minus_mod_eq0),no_negation,1),t(cond(attr_geq_fmod),no_negation,1),t(cond(mod_gt_mod),no_negation,1),t(cond(binary_term_eq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_eq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_leq_coef([fmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([mod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([cmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([dmod],coef(0,5))),no_negation,1),t(cond(binary_term_geq_coef([fmod],coef(0,5))),no_negation,1)]),use_mods(2)])]).
conjecture(id(partition0,low(sum_squares),15),secondary,col(low_n_m_sum_squares,14),oc1,30,2,t([col(low_n_m_sum_squares,5),col(low_n_m_sum_squares,10)],[min,omin],[_14791,_14795],if(eq(_14791,1),_14795,0)),cond,[cond(attr_eq_coef(coef(-3,3))),then(attr),else(coef(-3,3))]).
conjecture(id(partition0,low(sum_squares),16),secondary,col(low_n_m_sum_squares,12),omid,30,1,t([col(low_n_m_sum_squares,8)],[mid],[_14777],polynom([monome([t(_14777,1)],1)])),formula,[]).
conjecture(id(partition0,low(sum_squares),17),low,col(low_n_m_sum_squares,3),sum_squares,30,3,t([col(low_n_m_sum_squares,1),col(low_n_m_sum_squares,5),col(low_n_m_sum_squares,9)],[n,min,rmin],[_14805,_14809,_14813],polynom([monome([t(_14809,1),t(_14813,1)],1),monome([t(_14805,1),t(_14809,1)],1),monome([t(_14813,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_max_sum_squares,5),nval,14,4,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14823,_14827,_14831],min(polynom([monome([t(_14831,1)],-1),monome([t(_14823,1)],1),monome([],1)]),polynom([monome([t(_14827,1)],1)]))),formula,[nb_polynom([2]),nb_unary([0]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_max_sum_squares,11),omax,14,4,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,2),col(low_n_m_max_sum_squares,3)],[n,m,max],[_14823,_14827,_14831],max(polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14827,1)],1),monome([t(_14823,1)],1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),low,col(low_n_m_max_sum_squares,4),sum_squares,14,5,t([col(low_n_m_max_sum_squares,1),col(low_n_m_max_sum_squares,6),col(low_n_m_max_sum_squares,7),col(low_n_m_max_sum_squares,9)],[n,min,range,rmin],[_14837,_14841,_14845,_14849],polynom([monome([t(_14845,2)],1),monome([t(_14841,1),t(_14849,1)],1),monome([t(_14837,1),t(_14841,1)],1),monome([t(_14849,1)],1),monome([t(_14845,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,5,5),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_min_sum_squares,5),nval,13,3,t([col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[m,min],[_14809,_14813],if(eq(_14813,0),minus(_14809,1),_14809)),cond,[cond(attr_eq_coef(coef(-3,3))),then(unary_term([minus(1,3)])),else(attr)]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_min_sum_squares,9),rmin,13,2,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_min_sum_squares,10),omin,13,4,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14823,_14827,_14831],max(polynom([monome([t(_14827,1),t(_14831,1)],1),monome([t(_14827,1)],1),monome([t(_14823,1)],-1)]),1)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_min_sum_squares,13),oc,13,11,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14823,_14827,_14831],min(polynom([monome([t(geq(_14831,2),1)],1),monome([t(_14827,1)],1),monome([],-1)]),polynom([monome([t(geq(_14831,2),1)],2),monome([t(_14831,1)],-1),monome([t(_14827,1)],-1),monome([t(_14823,1)],1),monome([],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_min_sum_squares,13),oc,13,10,t([col(low_n_m_min_sum_squares,1),col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,3)],[n,m,min],[_14823,_14827,_14831],min(polynom([monome([t(geq(_14831,2),1)],1),monome([t(_14831,1)],-1),monome([t(_14827,1)],-1),monome([t(_14823,1)],1),monome([],1)]),polynom([monome([t(geq(_14831,2),1)],1),monome([t(_14827,1)],1),monome([],-1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_min_sum_squares,10),omin,13,3,t([col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,9)],[m,rmin],[_14809,_14813],if(leq(_14809,_14813),1,minus(_14809,_14813))),cond,[cond(attr_leq_attr),then(coef(-3,3)),else(binary_term([minus]))]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_min_sum_squares,7),range,13,4,t([col(low_n_m_min_sum_squares,2),col(low_n_m_min_sum_squares,9)],[m,rmin],[_14809,_14813],ceil(polynom([monome([t(_14813,1)],1)]),polynom([monome([t(min(_14813,1),1)],-1),monome([t(_14809,1)],1)]))),formula,[nb_polynom([2]),nb_unary([1]),nb_binary([0]),non_zero_coeffs_in_all_polynomials(4,6),unary([min(-2,2),max(-2,2),floor(2,2),ceil(2,2),2 mod 2,in,geq(0,2),power(2),sum_consec]),binary_function([min,max,ceil,floor,prod,mod,cmod,dmod]),main_formula([3-t([degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)],[degree(1,1),non_zero(1,1,0,4),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_min_sum_squares,14),oc1,13,2,t([col(low_n_m_min_sum_squares,5),col(low_n_m_min_sum_squares,13)],[nval,oc],[_14809,_14813],polynom([monome([t(_14813,1)],-1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_min_sum_squares,6),max,13,2,t([col(low_n_m_min_sum_squares,3),col(low_n_m_min_sum_squares,7)],[min,range],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),1),secondary,col(low_n_m_nval_sum_squares,5),min,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14823,_14827,_14831],if(eq(_14827,_14831),floor(_14823,_14827),0)),cond,[cond(attr_eq_attr),then(binary_term([floor])),else(coef(-3,3))]).
conjecture(id(partition0,low(sum_squares),2),secondary,col(low_n_m_nval_sum_squares,6),max,11,1,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14809,_14813],polynom([monome([t(ceil(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),3),secondary,col(low_n_m_nval_sum_squares,9),rmin,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14823,_14827,_14831],if(eq(_14827,_14831),_14823 mod _14827,_14823)),cond,[cond(attr_eq_attr),then(binary_term([mod])),else(attr)]).
conjecture(id(partition0,low(sum_squares),4),secondary,col(low_n_m_nval_sum_squares,10),omin,11,6,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3)],[n,m,nval],[_14823,_14827,_14831],if(eq(_14827,_14831),cmod(_14827,_14823),minus(_14827,_14831))),cond,[cond(attr_eq_attr),then(binary_term([cmod,dmod])),else(binary_term([minus]))]).
conjecture(id(partition0,low(sum_squares),5),secondary,col(low_n_m_nval_sum_squares,11),omax,11,1,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14809,_14813],polynom([monome([t(fmod(_14809,_14813),1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,1,1),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),6),secondary,col(low_n_m_nval_sum_squares,13),oc,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14809,_14813],if(leq(_14809,prod(_14813,2)),minus(_14809,_14813),_14813)),cond,[cond(attr_leq_unary([prod(2,3)])),then(binary_term([minus])),else(attr)]).
conjecture(id(partition0,low(sum_squares),7),secondary,col(low_n_m_nval_sum_squares,14),oc1,11,4,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14809,_14813],if(leq(prod(_14813,2),_14809),0,cmod(_14813,_14809))),cond,[cond(unary_leq_attr([prod(2,3)])),then(coef(-3,3)),else(binary_term([cmod,dmod]))]).
conjecture(id(partition0,low(sum_squares),8),secondary,col(low_n_m_nval_sum_squares,14),oc1,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,3)],[n,nval],[_14809,_14813],max(polynom([monome([t(_14813,1)],2),monome([t(_14809,1)],-1)]),0)),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),unary_function([min(-2,2),max(-2,2),floor(2,2),2 mod 2,geq0,in,power(2),sum_consec]),main_formula([2-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),9),secondary,col(low_n_m_nval_sum_squares,10),omin,11,2,t([col(low_n_m_nval_sum_squares,2),col(low_n_m_nval_sum_squares,3),col(low_n_m_nval_sum_squares,9)],[m,nval,rmin],[_14823,_14827,_14831],polynom([monome([t(min(_14827,_14831),1)],-1),monome([t(_14823,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([1]),binary([min,max,floor,mfloor,prod,ceil,mod,fmod,cmod,dmod]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),10),secondary,col(low_n_m_nval_sum_squares,14),oc1,11,2,t([col(low_n_m_nval_sum_squares,3),col(low_n_m_nval_sum_squares,13)],[nval,oc],[_14809,_14813],polynom([monome([t(_14813,1)],-1),monome([t(_14809,1)],1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),11),secondary,col(low_n_m_nval_sum_squares,7),range,11,2,t([col(low_n_m_nval_sum_squares,5),col(low_n_m_nval_sum_squares,6)],[min,max],[_14809,_14813],polynom([monome([t(_14813,1)],1),monome([t(_14809,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(1,1),non_zero(1,1,2,2),coef(-2,2),cst(-1,1)])])]).
conjecture(id(partition0,low(sum_squares),12),secondary,col(low_n_m_nval_sum_squares,8),mid,11,3,t([col(low_n_m_nval_sum_squares,3),col(low_n_m_nval_sum_squares,9)],[nval,rmin],[_14809,_14813],if(eq(_14813 mod _14809,0),0,floor(_14813,_14809))),cond,[cond(binary_term_eq_coef([mod],coef(0,3))),then(coef(-3,3)),else(binary_term([floor]))]).
conjecture(id(partition0,low(sum_squares),13),low,col(low_n_m_nval_sum_squares,4),sum_squares,11,3,t([col(low_n_m_nval_sum_squares,1),col(low_n_m_nval_sum_squares,6),col(low_n_m_nval_sum_squares,11)],[n,max,omax],[_14823,_14827,_14831],polynom([monome([t(_14827,1),t(_14831,1)],1),monome([t(_14823,1),t(_14827,1)],1),monome([t(_14823,1)],-1)])),formula,[nb_polynom([1]),nb_unary([0]),nb_binary([0]),main_formula([1-t([degree(2,2),non_zero(1,2,3,3),coef(-2,2),cst(-1,1)])])]).

missing(low_n_m_max_sum_squares,col,min).
missing(low_n_m_max_sum_squares,col,range).
missing(low_n_m_max_sum_squares,col,mid).
missing(low_n_m_max_sum_squares,col,rmin).
missing(low_n_m_max_sum_squares,col,omin).
missing(low_n_m_max_sum_squares,col,omid).
missing(low_n_m_max_sum_squares,col,oc).
missing(low_n_m_max_sum_squares,col,oc1).
missing(low_n_m_max_sum_squares,low,sum_squares).
missing(low_n_m_min_sum_squares,col,mid).
missing(low_n_m_min_sum_squares,col,omax).
missing(low_n_m_min_sum_squares,col,omid).
missing(low_n_m_min_sum_squares,low,sum_squares).
missing(low_n_m_nval_sum_squares,col,omid).
missing(low_n_m_range_sum_squares,low,sum_squares).
